#debuginfo not supported with Go
%global debug_package %{nil}

%global source_name v%{version}

%global commit e6093ee9aa1e0763e797aaf08468844e3c26466a
%global build_hash %(c=%{commit}; echo ${c:0:7})
%global spec_release 6

Name:           kubevirt-cdi
Version:        1.1.1
Release:        %{spec_release}.%{build_hash}
Summary:        %{name} - Containerized Data Importer

License:        ASL 2.0
URL:            https://github.com/kubevirt/containerized-data-importer
Source0:        containerized-data-importer-%{version}-%{release}.tar.gz

%description
CNV distribution based of kubevirt's Containerized Data Importer

Source Release https://api.github.com/repos/kubevirt/containerized-data-importer/tarball/%{build_hash}

%package	manifests
Summary:        %{name} - manifests
BuildArch: noarch
%description manifests
CNV kubevirt Containerized Data Importer - manifests

%prep
%setup -q -n containerized-data-importer-%{commit}

%build

%install
rm -rf  %{buildroot}
install -d -m 0755 %{buildroot}%{_datadir}/%{name}/manifests
install -d -m 0755 %{buildroot}/manifests %{buildroot}%{_datadir}/%{name}/
find manifests/controller -name "*\.yaml" -exec sed -i 's;kubevirt/cdi-\(.*\):v1.0.0;cnv12-tech-preview/virt-cdi-\1:1.2;' {} \;
find manifests/controller -name "*\.yaml" -exec sed -i 's;namespace: default;namespace: kube-system;' {} \;
cp -r manifests/* %{buildroot}%{_datadir}/%{name}/manifests/

%files manifests
%{_datadir}/%{name}/manifests/

%changelog
* Thu Oct  4 2018 - Adam Litke <alitke@redhat.com>
- Change deployment namespace to kube-system
- Always consume the latest 1.2 images

* Tue Sep  4 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v1.1.1-alpha.1
- Add new upstream sources for containerized-data-importer-1.1.1-5.e6093ee
- Increase spec_release # to 5 and build_hash to e6093ee

* Tue Aug 28 2018 Emil Natan <ena@redhat.com>
- Upstream release: v1.1.1
- Removed build for virt-cdi-importer and virt-cdi-controller

* Tue Jul 10 2018 - alivigni <alivigni@redhat.com>
- Upstream release: v1.0.0
- Add new upstream sources for containerized-data-importer-1.0.0-5.0066a96
- Increase spec_release # to 5 and build_hash to 0066a96

* Tue Jul 10 2018 Ari LiVigni <alivigni@redhat.com>
- Had to re-upload sources with correct name
- Directory with sources should be full commit and not build_hash
- Should not have kubevirt in front of the directory name

* Tue Jul 10 2018 Ari LiVigni <alivigni@redhat.com>
- Fixed date and versions based on the current state

* Tue Jul 10 2018 John Herr <joherr@redhat.com> 1.0.0-0
- Remove makefile patch for non-container build
- changed source file name for consistency

* Thu Jun 21 2018 Ryan Hallisey <rhallise@redhat.com> 0.5.0-3
- Reformat the spec file
- Add a Makefile

* Tue Jun 19 2018 John Herr <joherr@redhat.com> 0.5.0-2
- Commented out files and docs to prevent top level rpm from being built

* Fri Jun 15 2018 John Herr <joherr@redhat.com> 0.5.0-1
- Merged spec file changes
- bumped source from build_hash 8202e966 to build_hash b12ad61
- created patch to re-enable non-docker builds

* Tue Jun 12 2018 John Herr <joherr@redhat.com> 0.5.0-1
- changed install directory to _datadir/name
- changed $RPM_BUILD_DIR to builddir for consistency
- changed install directory for executables to bindir
- removed globals for package_name, version, and release
- added build_hash global to indicate source commit hash
- updated description to include api link to source
- bumped source from build_hash 89ad65c to build_hash 202e966
- set release to 1

* Thu May 10 2018 Steve Reichard - 0.5.0
- change to use hash for release tag

* Fri May 4 2018 Steve Reichard - 0.5.0
- kubevirt cdi rpm testing - sreichar
